# torchgmm

[![Tests][badge-tests]][link-tests]
[![Documentation][badge-docs]][link-docs]

[badge-tests]: https://img.shields.io/github/actions/workflow/status/marcovarrone/torchgmm/test.yaml?branch=main
[link-tests]: https://github.com/CSOgroup/torchgmm/actions/workflows/test.yml
[badge-docs]: https://img.shields.io/readthedocs/torchgmm

Run Gaussian Mixture Models on single or multiple CPUs/GPUs

## Getting started

Please refer to the [documentation][link-docs]. In particular, the

-   [API documentation][link-api].

## Installation

You need to have Python 3.10 or newer installed on your system. If you don't have
Python installed, we recommend installing [Mambaforge](https://github.com/conda-forge/miniforge#mambaforge).

There are several alternative options to install torchgmm:

<!--
1) Install the latest release of `torchgmm` from [PyPI][link-pypi]:

```bash
pip install torchgmm
```
-->

1. Install the latest development version:

```bash
pip install git+https://github.com/CSOgroup/torchgmm.git@main
```

## Release notes

See the [changelog][changelog].

## Contact

For questions and help requests, you can reach out in the [scverse discourse][scverse-discourse].
If you found a bug, please use the [issue tracker][issue-tracker].

## Citation

> t.b.a

[scverse-discourse]: https://discourse.scverse.org/
[issue-tracker]: https://github.com/marcovarrone/torchgmm/issues
[changelog]: https://torchgmm.readthedocs.io/latest/changelog.html
[link-docs]: https://torchgmm.readthedocs.io
[link-api]: https://torchgmm.readthedocs.io/latest/api.html
[link-pypi]: https://pypi.org/project/torchgmm
